package com.mhsoftware.jonnie;
/*
    MH Software, Inc.
    5023 W 120th Ave, #311
    Broomfield, CO 80020

    Voice: 303 438 9585
    Web: http://www.mhsoftware.com/

    Copyright 2008, MH Software, Inc.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/** 
 * Class to represent a test result.
 * 
 * @author George Sexton
 */
public class TestResult {

    private final String m_name,m_value,m_units;

    public TestResult(String sName,String sValue,String sUnits){
        m_name=sName;
        m_value=sValue;
        m_units=sUnits;
    }

    /** 
     * Return the test result name. I.E. Files Created
     * 
     * 
     * @return String
     */
    public String getName(){
        return m_name;
    }

    /** 
     * Return The value for the result.
     * 
     * 
     * @return String
     */
    public String getValue(){
        return m_value;
    }

    /** 
     * Return the units of measure for the result. I.E. Files/Sec. 
     * MB/S, etc. 
     * <BR><BR> 
     * The actual values are going to be dependent upon the test. 
     * 
     * 
     * @return String
     */
    public String getUnits(){
        return m_units;
    }

}
