package com.mhsoftware.jonnie;
/*
    MH Software, Inc.
    5023 W 120th Ave, #311
    Broomfield, CO 80020

    Voice: 303 438 9585
    Web: http://www.mhsoftware.com/

    Copyright 2008, MH Software, Inc.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

public class TestUtil {

    private TestUtil(){
    }

    /** 
     * Convert a string to a power of 2 value. I.E. 1k would return 
     * 1024, 5m=52428880 
     *  
     * Recognized suffixes are: k=2^10 (kilo), m=2^20 (mega), g=2^30
     * (giga), t=2^40  (tera)
     * 
     * @param sValue
     * 
     * @return long
     */
    public static long getPowerOf2Value(String sValue){
        StringBuffer sbDigits=new StringBuffer(sValue.length());
        char c;
        long lValue=Long.MIN_VALUE;
        sValue=sValue+'\0';
        for (int i=0; i < sValue.length(); i++) {
            c=sValue.charAt(i);
            if (c>='0' && c<='9') {
                sbDigits.append(c);
            } else if (Character.isWhitespace(c)) {
                // Don't do anything.
            } else {
                lValue=Long.parseLong(sbDigits.toString());
                if (c=='k' || c=='K') {
                    lValue=(lValue<<10);
                } else if (c=='m' || c=='M') {
                    lValue=(lValue<<20);
                } else if (c=='g' || c=='G') {
                    lValue=(lValue << 30);
                } else if (c=='t' || c=='T') {
                    lValue=(lValue << 40);
                } 
                return lValue;
            }
        }
        return lValue;
    }
}
